{ config, pkgs, lib, ... }:

let
  hostMpd = if config.networking.hostName == "storage-ng" then {
    musicDirectory = "/mnt/cephfs/c3d2/rpool/Music";
    extraConfig = ''
      audio_output {
        name "null"
        type "null"
      }
    '';
  } else {
    dbFile = null;
    musicDirectory = "/mnt/storage/Music";
    playlistDirectory = "/home/k-ot/Playlists";
  };
in {
  c3d2.hq.enableMpdProxy = true;
  services.mpd = (hostMpd // {
    enable = true;
    network.listenAddress = "any";
  });

  networking.firewall.allowedTCPPorts = [ config.services.mpd.network.port ];
}
